[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TCustomBufDataset.Clear

Clears the content in the dataset

## Declaration

Source position: bufdataset.pas line 652

`public procedure TCustomBufDataset.Clear;`

## Description

Clear is a procedure used to remove the content in the buffered dataset. Clear calls the Close method to ensure that the dataset has set its Active property to False and removed indexes and their storage. Clear removes field definition and bound fields in the FieldDefs and Fields properties.

## See also

TDataset.Close |  | Close the dataset
TDataset.FieldDefs |  | Definitions of available fields in the underlying database
TDataset.Fields |  | Indexed access to the fields of the dataset.